package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajeUsuario;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface MensajeUsuarioService {

	public List<MensajeUsuario> obtenerTodos();
	
	public List<MensajeUsuario> obtenerPorMensaje(Mensaje mensaje);

	public MensajeUsuario obtenerID(Integer id);

	public void borrar(MensajeUsuario entidad);

	public MensajeUsuario suscribirActualizar(MensajeUsuario entidad) throws BusinessException;

}